package com.yiqi.common.enums;

/**
 * @author xiaohei
 * @date 2024/1/4
 */
public enum  OrderNoHeaderType implements CodeEnum{
    /**
     *
     * public final static String cloth_wash_code_header = "WA";
     *     public final static String activity_order_header = "AC";
     *     public final static String cloth_order_header = "CL";
     *     public final static String purchase_order_header = "PU";
     *     public final static String goods_order_header = "GO";
     *     public final static String recharge_order_header = "RE";
     *     public final static String delivery_order_header = "DE";
     *     public final static String refund_order_header = "RF";
     *
     */

    cloth_wash_code_header("WA", "衣服条码"),
    activity_order_header ("AC", "活动订单"),
    cloth_order_header("CL", "洗衣订单"),
    purchase_order_header("PU","进货订单"),
    goods_order_header("GO","商品订单"),
    recharge_order_header("RE","充值订单"),
    delivery_order_header("DE","配送订单"),
    ;

    private final String code;
    private final String info;

    OrderNoHeaderType(String code, String info)
    {
        this.code = code;
        this.info = info;
    }

    @Override
    public String getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }
}
